* [Guía completa para novatos](newbs.md)
  * [Empezando](newbs_getting_started.md)
  * [Construyendo tu primer firmare](newbs_building_firmware.md)
  * [Flasheando el firmware](newbs_flashing.md)
  * [Testeando y depurando ](newbs_testing_debugging.md)
  * [Mejores práticas](newbs_best_practices.md)
  * [Recursos de aprendizaje](newbs_learn_more_resources.md)

* [QMK Basics](README.md)
  * [Introducción a QMK](getting_started_introduction.md)
  * [QMK CLI](cli.md)
  * [Configuración de QMK CLI](cli_configuration.md)
  * [Contribuyendo a QMK](contributing.md)
  * [Cómo usar Github](getting_started_github.md)
  * [Obtener ayuda](getting_started_getting_help.md)

* [Cambios incompatibles](breaking_changes.md)
  * [30 Ago 2019](ChangeLog/20190830.md)

* [Preguntas frecuentes](faq.md)
  * [General](faq_general.md)
  * [Construir/Compilar QMK](faq_build.md)
  * [Depurando/Encontrando problemas en QMK](faq_debug.md)
  * [Keymap](faq_keymap.md)
  * [Instalación de drivers con Zadig](driver_installation_zadig.md)

* Guías detalladas
  * [Instalar herramientas construcción](getting_started_build_tools.md)
  * [Guía Vagrant](getting_started_vagrant.md)
  * [Instrucciones de Construcción/Compilado](getting_started_make_guide.md)
  * [Flasheando Firmware](flashing.md)
  * [Personalizando funcionalidad](custom_quantum_functions.md)
  * [Visión general del Keymap](keymap.md)

* [Hardware](hardware.md)
  * [Procesadores AVR](hardware_avr.md)
  * [Drivers](hardware_drivers.md)

* Referencia
  * [Pautas de teclados](hardware_keyboard_guidelines.md)
  * [Opciones de configuración](config_options.md)
  * [Keycodes](keycodes.md)
  * [Convenciones de código - C](coding_conventions_c.md)
  * [Convenciones de código - Python](coding_conventions_python.md)
  * [Mejores prácticas de documentación](documentation_best_practices.md)
  * [Plantillas de documentación](documentation_templates.md)
  * [Glosario](reference_glossary.md)
  * [Tests unitarios](unit_testing.md)
  * [Funciones útiles](ref_functions.md)
  * [Sporte configurador](reference_configurator_support.md)
  * [Formato info.json](reference_info_json.md)
  * [Desarrollo Python CLI](cli_development.md)

* [Características](features.md)
  * [Keycodes Básicos](keycodes_basic.md)
  * [Teclas US ANSI Shifted](keycodes_us_ansi_shifted.md)
  * [Keycodes Quantum](quantum_keycodes.md)
  * [Keycodes Avanzados](feature_advanced_keycodes.md)
  * [Audio](feature_audio.md)
  * [Auto Shift](feature_auto_shift.md)
  * [Retroiluminación](feature_backlight.md)
  * [Bluetooth](feature_bluetooth.md)
  * [Bootmagic](feature_bootmagic.md)
  * [Combos](feature_combo.md)
  * [Comando](feature_command.md)
  * [API Debounce](feature_debounce_type.md)
  * [Switch DIP](feature_dip_switch.md)
  * [Macros Dinámicas](feature_dynamic_macros.md)
  * [Encoders](feature_encoders.md)
  * [Grave Escape](feature_grave_esc.md)
  * [Feedback Háptico](feature_haptic_feedback.md)
  * [Controlador LCD HD44780](feature_hd44780.md)
  * [Key Lock](feature_key_lock.md)
  * [Layouts](feature_layouts.md)
  * [Tecla Leader](feature_leader_key.md)
  * [Matriz LED](feature_led_matrix.md)
  * [Macros](feature_macros.md)
  * [Teclas del ratón](feature_mouse_keys.md)
  * [Driver OLED](feature_oled_driver.md)
  * [Teclas One Shot](feature_advanced_keycodes.md#one-shot-keys)
  * [Dispositivo de apuntado](feature_pointing_device.md)
  * [Ratón PS/2](feature_ps2_mouse.md)
  * [Iluminación RGB](feature_rgblight.md)
  * [Matriz RGB](feature_rgb_matrix.md)
  * [Cadete espacial](feature_space_cadet.md)
  * [Teclado dividido](feature_split_keyboard.md)
  * [Stenografía](feature_stenography.md)
  * [Swap Hands](feature_swap_hands.md)
  * [Tap Dance](feature_tap_dance.md)
  * [Terminal](feature_terminal.md)
  * [Impresora Térmica](feature_thermal_printer.md)
  * [Unicode](feature_unicode.md)
  * [Userspace](feature_userspace.md)
  * [Velocikey](feature_velocikey.md)

* Para Makers y Modders
  * [Guía de cableado a mano](hand_wire.md)
  * [Guía de flasheado de ISP](isp_flashing_guide.md)
  * [Guía de depuración de ARM](arm_debugging.md)
  * [Driver I2C](i2c_driver.md)
  * [Controles GPIO](internals_gpio_control.md)
  * [Conversión Proton C](proton_c_conversion.md)

* Para entender en profundidad
  * [Cómo funcionan los teclados](how_keyboards_work.md)
  * [Entendiendo QMK](understanding_qmk.md)

* Otros temas
  * [Usando Eclipse con QMK](other_eclipse.md)
  * [Usando VSCode con QMK](other_vscode.md)
  * [Soporte](support.md)
  * [Cómo añadir traducciones](translating.md)

* QMK Internals (En progreso)
  * [Defines](internals_defines.md)
  * [Input Callback Reg](internals_input_callback_reg.md)
  * [Dispositivo Midi](internals_midi_device.md)
  * [Proceso de configuración de un dispositivo Midi](internals_midi_device_setup_process.md)
  * [Utilidad Midi](internals_midi_util.md)
  * [Funciones Send](internals_send_functions.md)
  * [Herramientas Sysex](internals_sysex_tools.md)
