**En Français**

* [Guide pour débutant complet](fr-fr/newbs.md)
  * [Pour débuter](fr-fr/newbs_getting_started.md)
  * [Compiler son premier firmware](fr-fr/newbs_building_firmware.md)
  * [Flasher le Firmware](fr-fr/newbs_flashing.md)
  * [Test et Débuggage](fr-fr/newbs_testing_debugging.md)
  * [Bonnes pratiques Git](fr-fr/newbs_best_practices.md)
  * [Ressources d'apprentissage](fr-fr/newbs_learn_more_resources.md)

* [Les bases de QMK](fr-fr/README.md)
  * [Indroduction à QMK](fr-fr/getting_started_introduction.md)
  * [QMK CLI](fr-fr/cli.md)
  * [Configuration de la CLI QMK](fr-fr/cli_configuration.md)
  * [Contribuer à QMK](fr-fr/contributing.md)
  * [Comment utiliser GitHub](fr-fr/getting_started_github.md)
  * [Trouver de l'aide](fr-fr/getting_started_getting_help.md)

* [Breaking changes](fr-fr/breaking_changes.md)
  * [30 août 2019](fr-fr/ChangeLog/20190830.md)

* [FAQ](fr-fr/faq.md)
  * [FAQ Générale](fr-fr/faq_general.md)
  * [Compiler QMK](fr-fr/faq_build.md)
  * [Débugguer / Dépanner QMK](fr-fr/faq_debug.md)
  * [Keymap / Disposition](fr-fr/faq_keymap.md)
  * [Installer les drivers avec Zadig](fr-fr/driver_installation_zadig.md)

**En Anglais**

* Guides détaillés
  * [Installation des outils de compilation](getting_started_build_tools.md)
  * [Guide Vagrant](getting_started_vagrant.md)
  * [Commandes de compilations](getting_started_make_guide.md)
  * [Flasher les firmwares](fr-fr/flashing.md)
  * [Personnaliser les fonctionnalités](custom_quantum_functions.md)
  * [Aperçu des fonctionnalités des dispositions](keymap.md)

* [Hardware](hardware.md)
  * [Processeurs AVR](hardware_avr.md)
  * [Pilotes / Drivers](hardware_drivers.md)

* Réferences
  * [Lignes de conduite des claviers](hardware_keyboard_guidelines.md)
  * [Options de configurations](config_options.md)
  * [Keycodes / Codes des caractères](keycodes.md)
  * [Conventions de codage - C](coding_conventions_c.md)
  * [Conventions de codage - Python](coding_conventions_python.md)
  * [Meilleurs pratiques sur la documentation](documentation_best_practices.md)
  * [Modèles de documentation](documentation_templates.md)
  * [Glossaire](reference_glossary.md)
  * [Tests unitaires](unit_testing.md)
  * [Fonctions utiles](ref_functions.md)
  * [Support de configuration](reference_configurator_support.md)
  * [Format du fichier info.json](reference_info_json.md)
  * [Développer la CLI en Python](cli_development.md)

* [Fonctionnalités](features.md)
  * [Keycodes basiques](keycodes_basic.md)
  * [Touches utilisées avec Shift (US ANSI)](keycodes_us_ansi_shifted.md)
  * [Keycodes quantiques](quantum_keycodes.md)
  * [Keycodes avancés](feature_advanced_keycodes.md)
  * [Fonctionnalités audio](feature_audio.md)
  * [Majuscule automatique](feature_auto_shift.md)
  * [Rétroéclairage](feature_backlight.md)
  * [Bluetooth](feature_bluetooth.md)
  * [Bootmagic](feature_bootmagic.md)
  * [Combos](feature_combo.md)
  * [Commande](feature_command.md)
  * [API anti-rebond](feature_debounce_type.md)
  * [DIP Switch](feature_dip_switch.md)
  * [Macros dynamiques](feature_dynamic_macros.md)
  * [Interrupteurs rotatifs](feature_encoders.md)
  * [Grave Escape](feature_grave_esc.md)
  * [Retour haptique](feature_haptic_feedback.md)
  * [Contrôleur LCD HD44780](feature_hd44780.md)
  * [Touche à verrou / Lock-key](feature_key_lock.md)
  * [Dispositions / layouts](feature_layouts.md)
  * [Touche leader](feature_leader_key.md)
  * [Matrice LED](feature_led_matrix.md)
  * [Macros](feature_macros.md)
  * [Boutons de souris](feature_mouse_keys.md)
  * [Pilotes / Drivers OLED](feature_oled_driver.md)
  * [Touche one-shot](feature_advanced_keycodes.md#one-shot-keys)
  * [Périphériques de pointage](feature_pointing_device.md)
  * [Souris PS/2](feature_ps2_mouse.md)
  * [Éclairage RGB](feature_rgblight.md)
  * [Matrice RGB](feature_rgb_matrix.md)
  * [Space Cadet](feature_space_cadet.md)
  * [Claviers scindés / splittés](feature_split_keyboard.md)
  * [Stenographie](feature_stenography.md)
  * [Inversion des mains](feature_swap_hands.md)
  * [Tap Dance](feature_tap_dance.md)
  * [Terminale](feature_terminal.md)
  * [Imprimante thermique](feature_thermal_printer.md)
  * [Caractères unicodes](feature_unicode.md)
  * [Dossier utilisateur](feature_userspace.md)
  * [Velocikey](feature_velocikey.md)

* Pour les makers et les bricoleurs
  * [Guide des claviers soudés à la main](hand_wire.md)
  * [Guide de flash de l’ISP](isp_flashing_guide.md)
  * [Guide du débogage ARM](arm_debugging.md)
  * [Drivers i2c](i2c_driver.md)
  * [Contrôles des GPIO](internals_gpio_control.md)
  * [Conversion en Proton C](proton_c_conversion.md)

* Pour aller plus loin
  * [Comment fonctionnent les claviers](how_keyboards_work.md)
  * [Comprendre QMK](understanding_qmk.md)

* Autres sujets
  * [Utiliser Eclipse avec QMK](other_eclipse.md)
  * [Utiliser VSCode avec QMK](other_vscode.md)
  * [Support](support.md)
  * [Comment ajouter des traductions](translating.md)

* À l’intérieur de QMK (En cours de documentation)
  * [Définitions](internals_defines.md)
  * [Input Callback Reg](internals_input_callback_reg.md)
  * [Appareils Midi](internals_midi_device.md)
  * [Installation d’un appareil Midi](internals_midi_device_setup_process.md)
  * [Utilitaires Midi](internals_midi_util.md)
  * [Fonctions Midi](internals_send_functions.md)
  * [Outils Sysex](internals_sysex_tools.md)
